# Release

CLI for [Release](https://releasehub.com/)

## Docs

For installation and usage instructions [see the docs](https://docs.releasehub.com/cli/).

## Contributing

### Building & Running

To build, clone the repository and run:

```
go build ./cmd/release
```

### Testing

Libraries used in testing:

* [`go-vcr`](https://github.com/dnaeon/go-vcr) - Records and replays API requests
and responses in tests
* [`cupaloy`](https://github.com/bradleyjkemp/cupaloy) - Compares command output to
  snapshot files to avoid unintended changes

To run all tests:

```
go test ./...
```

### Directory Structure

We follow the [Standard Go Project Layout](https://github.com/golang-standards/project-layout) convention wherever possible.
